be.fgov.ehealth.consultrn.commons.core.v3

## Class PersonResponseType

- java.lang.Object
- - be.fgov.ehealth.consultrn.commons.core.v3.PersonResponseType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-06-08T05:34:52+02:00",
                 comments="JAXB RI v2.2.11")
      public class PersonResponseType
      extends Object
      implements Serializable

  information about the person (with SSIN)

  Java class for PersonResponseType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="PersonResponseType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="Ssin" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="NobilityTitle" type="{urn:be:fgov:ehealth:consultrn:commons:core:v3}NobilityTitleType" minOccurs="0"/>
               <element name="Name" type="{urn:be:fgov:ehealth:consultrn:commons:core:v3}PersonNameResponseType" minOccurs="0"/>
               <element name="Nationalities" type="{urn:be:fgov:ehealth:consultrn:commons:core:v3}NationalitiesType" minOccurs="0"/>
               <element name="Birth" type="{urn:be:fgov:ehealth:consultrn:commons:core:v3}BirthResponseType" minOccurs="0"/>
               <element name="Decease" type="{urn:be:fgov:ehealth:consultrn:commons:core:v3}DeceaseResponseType" minOccurs="0"/>
               <element name="Gender" type="{urn:be:fgov:ehealth:consultrn:commons:core:v3}GenderType" minOccurs="0"/>
               <element name="CivilStates" type="{urn:be:fgov:ehealth:consultrn:commons:core:v3}CivilStatesResponseType" minOccurs="0"/>
               <element name="Address" type="{urn:be:fgov:ehealth:consultrn:commons:core:v3}AddressType" minOccurs="0"/>
             </sequence>
             <attribute name="register" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PersonResponseType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AddressType` | `getAddress()` Gets the value of the address property.
    `BirthResponseType` | `getBirth()` Gets the value of the birth property.
    `CivilStatesResponseType` | `getCivilStates()` Gets the value of the civilStates property.
    `DeceaseResponseType` | `getDecease()` Gets the value of the decease property.
    `GenderType` | `getGender()` Gets the value of the gender property.
    `PersonNameResponseType` | `getName()` Gets the value of the name property.
    `NationalitiesType` | `getNationalities()` Gets the value of the nationalities property.
    `NobilityTitleType` | `getNobilityTitle()` Gets the value of the nobilityTitle property.
    `String` | `getRegister()` Gets the value of the register property.
    `String` | `getSsin()` Gets the value of the ssin property.
    `void` | `setAddress(AddressType value)` Sets the value of the address property.
    `void` | `setBirth(BirthResponseType value)` Sets the value of the birth property.
    `void` | `setCivilStates(CivilStatesResponseType value)` Sets the value of the civilStates property.
    `void` | `setDecease(DeceaseResponseType value)` Sets the value of the decease property.
    `void` | `setGender(GenderType value)` Sets the value of the gender property.
    `void` | `setName(PersonNameResponseType value)` Sets the value of the name property.
    `void` | `setNationalities(NationalitiesType value)` Sets the value of the nationalities property.
    `void` | `setNobilityTitle(NobilityTitleType value)` Sets the value of the nobilityTitle property.
    `void` | `setRegister(String value)` Sets the value of the register property.
    `void` | `setSsin(String value)` Sets the value of the ssin property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PersonResponseType

          public PersonResponseType()

  - ### Method Detail

    - #### getSsin

          public String getSsin()

      Gets the value of the ssin property.
      Returns:
        possible object is `String`

    - #### setSsin

          public void setSsin(String value)

      Sets the value of the ssin property.
      Parameters:
        `value` - allowed object is `String`

    - #### getNobilityTitle

          public NobilityTitleType getNobilityTitle()

      Gets the value of the nobilityTitle property.
      Returns:
        possible object is `NobilityTitleType`

    - #### setNobilityTitle

          public void setNobilityTitle(NobilityTitleType value)

      Sets the value of the nobilityTitle property.
      Parameters:
        `value` - allowed object is `NobilityTitleType`

    - #### getName

          public PersonNameResponseType getName()

      Gets the value of the name property.
      Returns:
        possible object is `PersonNameResponseType`

    - #### setName

          public void setName(PersonNameResponseType value)

      Sets the value of the name property.
      Parameters:
        `value` - allowed object is `PersonNameResponseType`

    - #### getNationalities

          public NationalitiesType getNationalities()

      Gets the value of the nationalities property.
      Returns:
        possible object is `NationalitiesType`

    - #### setNationalities

          public void setNationalities(NationalitiesType value)

      Sets the value of the nationalities property.
      Parameters:
        `value` - allowed object is `NationalitiesType`

    - #### getBirth

          public BirthResponseType getBirth()

      Gets the value of the birth property.
      Returns:
        possible object is `BirthResponseType`

    - #### setBirth

          public void setBirth(BirthResponseType value)

      Sets the value of the birth property.
      Parameters:
        `value` - allowed object is `BirthResponseType`

    - #### getDecease

          public DeceaseResponseType getDecease()

      Gets the value of the decease property.
      Returns:
        possible object is `DeceaseResponseType`

    - #### setDecease

          public void setDecease(DeceaseResponseType value)

      Sets the value of the decease property.
      Parameters:
        `value` - allowed object is `DeceaseResponseType`

    - #### getGender

          public GenderType getGender()

      Gets the value of the gender property.
      Returns:
        possible object is `GenderType`

    - #### setGender

          public void setGender(GenderType value)

      Sets the value of the gender property.
      Parameters:
        `value` - allowed object is `GenderType`

    - #### getCivilStates

          public CivilStatesResponseType getCivilStates()

      Gets the value of the civilStates property.
      Returns:
        possible object is `CivilStatesResponseType`

    - #### setCivilStates

          public void setCivilStates(CivilStatesResponseType value)

      Sets the value of the civilStates property.
      Parameters:
        `value` - allowed object is `CivilStatesResponseType`

    - #### getAddress

          public AddressType getAddress()

      Gets the value of the address property.
      Returns:
        possible object is `AddressType`

    - #### setAddress

          public void setAddress(AddressType value)

      Sets the value of the address property.
      Parameters:
        `value` - allowed object is `AddressType`

    - #### getRegister

          public String getRegister()

      Gets the value of the register property.
      Returns:
        possible object is `String`

    - #### setRegister

          public void setRegister(String value)

      Sets the value of the register property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.1.2 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.